# Uses of Enum
com.databricks.jdbc.model.client.thrift.generated.TStatusCode

Packages that use TStatusCode
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TStatusCode in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TStatusCode in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`enum`
`TStatusCode`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TStatusCode
Modifier and Type
Field
Description
`TStatusCode`
TStatus.`statusCode`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TStatusCode
Modifier and Type
Method
Description
`static TStatusCode`
TStatusCode.`findByValue(int value)`
Find a the enum type by its integer value, as defined in the Thrift IDL.
`TStatusCode`
TStatus.`getStatusCode()`
`static TStatusCode`
TStatusCode.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TStatusCode[]`
TStatusCode.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TStatusCode
Modifier and Type
Method
Description
`TStatus`
TStatus.`setStatusCode(TStatusCode statusCode)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TStatusCode
Modifier
Constructor
Description
``
`TStatus(TStatusCode statusCode)`